/*
* Based on Cover by https://twitter.com/mdo"  @mdo
* added cover image and background color to match (green)
*
* Globals

*/

/* Links */
a,
a:focus,
a:hover {
	color: #fff;
	text-decoration: none;
}

/* Custom default button */
.btn-default,
.btn-default:hover,
.btn-default:focus {
  color: #333;
  text-shadow: none; /* Prevent inheritence from `body` */
  background-color: #fff;
  border: 1px solid #fff;
}


/*
 * Base structure
 */

html,
body {
/*css for full size background image*/
  background: url(background8.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  
  height: 100%;
  background-color: #060;
  color: #fff;
  text-align: center;
  text-shadow: 0 1px 3px rgba(0,0,0,.5);
 
}

/* Extra markup and styles for table-esque vertical and horizontal centering */
.site-wrapper {
  display: table;
  width: 100%;
  height: 100%; /* For at least Firefox */
  min-height: 100%;
  -webkit-box-shadow: inset 0 0 100px rgba(0,0,0,.5);
          box-shadow: inset 0 0 100px rgba(0,0,0,.5);
}
.site-wrapper-inner {
  display: table-cell;
  vertical-align: top;
}
.cover-container {
  margin-right: auto;
  margin-left: auto;
}

/* Padding for spacing */
.inner {
  padding: 30px;
}


/*
 * Header
 */
.masthead-brand {
  /*margin-left: 80px;*/
  margin-top: 10px;
  margin-bottom: 10px;
}

.masthead-nav li {
  display: inline-block;
}


.masthead-nav li + li {
  margin-left: 20px;
}
.masthead-nav li a {
  padding-right: 0;
  padding-left: 0;
  font-size: 16px;
  font-weight: bold;
  color: #fff; /* IE8 proofing */
  color: rgba(255,255,255,.95);
  border-bottom: 2px solid transparent;
}
.masthead-nav li a:hover,
.masthead-nav li a:focus {
  background-color: transparent;
  border-bottom-color: #a9a9a9;
  border-bottom-color: rgba(255,255,255,.25);
}
.masthead-nav .active a,
.masthead-nav .active a:hover,
.masthead-nav .active a:focus {
  color: #fff;
  border-bottom-color: #fff;
}

@media (min-width: 768px) {
  .masthead-brand {
    float: left;
  }
  .masthead-nav {
    float: right;
  }
}


/*
 * Cover
 */

.cover {
  padding: 0 20px;
}
.cover .btn-lg {
  padding: 10px 20px;
  font-weight: bold;
}

/*	.lead {
	color: #248AD4;
	}
	.cover-heading {
		color: #248AD4;

	}
*/
/*
 * Footer
 */

.mastfoot {
  color: #999; /* IE8 proofing */
  color: rgba(255,255,255,.5);
}


/*
 * Affix and center
 */

@media (min-width: 768px) {
  /* Pull out the header and footer */
  .masthead {
    position: fixed;
    top: 0;
  }
  .mastfoot {
    position: fixed;
    bottom: 0;
  }
  /* Start the vertical centering */
  .site-wrapper-inner {
    vertical-align: middle;
  }
  /* Handle the widths */
  .masthead,
  .mastfoot,
  .cover-container {
    width: 100%; /* Must be percentage or pixels for horizontal alignment */
  }
}

@media (min-width: 992px) {
  .masthead,
  .mastfoot,
  .cover-container {
    width: 700px;
  }
}

div.site-wrapper.blog div.masthead.clearfix {
	background-color:#5E9CC7;
}


div.blueoverlayform {
	background: rgba(21, 65, 100, 0.5);
	padding-top:20px;
	padding-left:40px;
	padding-right:40px;
	padding-bottom:60px;
}

div.blueoverlay {
	background: rgba(21, 65, 100, 0.5);
	padding-right:20px;
	padding-bottom:5px;
	padding-top:5px;
	padding-left:20px;
	line-height:250%;
	font-size:16px;
	text-align:left;
	margin-bottom:20px;
}

.hl1 {	
	background:rgb(21, 65, 100);
	padding:16px;
	margin-left:-20px;
}


div.blueoverlayform .hl1 {	
	padding:22px;
	margin-bottom:40px;
	margin-left:0px;
}



.hl2 {
	background:rgba(21, 65, 100, 0.8);
	padding:16px;
	margin-left:-20px;
}


.hl3 {
	background:rgba(21, 65, 100, 0.6);
	padding:16px;
	margin-left:-20px;
}



div.bo2 {
	background: rgba(21, 65, 100, 0.3);
}
	
div.bo3 {
	background: rgba(21, 65, 100, 0.1);
}



.nav li a {
    position: relative;
    display: block;
    padding: 10px 0px 10px 0px;
}

div.blueoverlay div.cms_placeholder, div.blueoverlayform div.cms_placeholder{
	display:inline;
}

div.blueoverlay p, div.blueoverlayform p {
	display:inline;
}

div.blueoverlayform input[type=submit] {
	color: #fff;
    background-color: #5bc0de;
    border-color: #46b8da;
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
	margin-top: 20px;
	text-shadow: 0 1px 3px rgba(0,0,0,.5);
	font-size:18px;
} 

div.cms-placeholder { display: inline;}

div.app {
	margin-top:120px;
	margin-bottom:50px;
	background:#5E9CC7;
	min-height:200px;
	padding:20px;
}

.post-item .post-specs {
    font-size: 16px;
    font-size: 1rem;
    padding: 0;
    text-align: center;
}

.post-item .post-specs li:first-child {
    padding: 0 10px 0 0;
}

.post-item .post-specs li {
    display: inline-block;
    padding: 0 10px 0 7px;
    border-right: 1px solid #333;
}

ul.post-detail {
	list-style: none;
	display:block;
	padding-bottom:20px;
}

ul.post-detail li:after {
    padding-right: 5px;
	padding-left: 5px;
}


ul.post-detail.tags li {
	float: right;
	/*font-weight: bold;*/
    -moz-border-radius: 15px;
    border-radius: 15px;
    color: white;
    text-align: center;
    background-color: #1D5783;
    padding-left: 7px;
    padding-right: 7px;
    padding-top: 3px;
    padding-bottom: 3px;
	margin-left:-5px;
	margin-right:10px;
}

ul.post-detail.meta li {
	float: left;
}



body select.lang {
	margin-top: 5px;
	margin-bottom:-10px;
	/*margin-left: 30px;*/
	float: right;
    background: transparent;
    /*width: 150px;*/
    padding: 5px;
    /*font-size: 16px;*/
	border: none;
    border: 1px solid white;
    height: 34px;
	
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}


div.blog-content {
	margin-top:20px;
	text-shadow: none;
	/*float:left;*/
}

div.blog-content p {
	text-align: left;
	text-shadow: none;
}

div.blog-content pre.highlight-js {
	text-align: left;
	text-shadow: none;
}



div.app-blog header {
	margin-left: auto;
    margin-right: auto;
}


